local chatcommand_cmd = yl_ticker.settings.chatcommand_domain .. "_say"
local chatcommand_definition = {
    params = "<ticker ID>",
    description = "Say the ticker with ID in main chat." ..
        "\nExample: /" .. yl_ticker.settings.chatcommand_domain .. "_say 5",
    privs = {[yl_ticker.settings.admin_privs] = true},
    func = function(name, param)
        local success, message = yl_ticker.chatcommand_ticker_say(
                                     name, param)

        if success then
            minetest.log("action", "[yl_ticker] player " .. name ..
                             " sent ticker: " .. param)
            return true, message
        else
            minetest.log("warning",
                         "[yl_ticker] player " .. name ..
                             " sent ticker: " .. param ..
                             " unsuccessfully, message: " .. message)
            return false, message
        end
    end
}

minetest.register_chatcommand(chatcommand_cmd, chatcommand_definition)
yl_ticker.register_help(chatcommand_cmd, chatcommand_definition)
